Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.2.4   

Resolution: Fixed Affected version:  

Description

If the activity of the parent project is not a system activity, the time entries of the sub-projects are not displayed when the Activity filter

is specified in the spent time list of the parent project.

Activity setting of parent project

 settings-time-tracking.png 

When the Activity filter is not used

 spent-time-list-without-activity-fillter.png 

When using the Activity filter

 spent-time-list-with-activity-fillter.png 

Associated revisions

Revision 21423 - 2022-02-20 19:50 - Marius BĂLTEANU

Fix time entries of sub-projects are not listed when activity is specified in filters (#36248).

Patch by Yuichi HARADA.

Revision 21425 - 2022-02-20 19:53 - Marius BĂLTEANU

Merged r21423 to 4.2-stable (#36248).

Revision 21426 - 2022-02-20 19:54 - Marius BĂLTEANU

Merged r21423 to 4.1-stable (#36248).

History

#1 - 2021-11-26 09:02 - Yuichi HARADA

I think the following patch can solve it.

diff --git a/app/models/time_entry_query.rb b/app/models/time_entry_query.rb

index 11128cfcd6..5fd4790893 100644

--- a/app/models/time_entry_query.rb

+++ b/app/models/time_entry_query.rb

@@ -88,7 +88,7 @@ class TimeEntryQuery < Query

     activities = (project ? project.activities : TimeEntryActivity.shared)

     add_available_filter(

       "activity_id",

-      :type => :list, :values => activities.map {|a| [a.name, a.id.to_s]}

+      :type => :list, :values => activities.map {|a| [a.name, (a.parent_id || a.id).to_s]}

     )

     add_available_filter(

       "project.status",

#2 - 2021-11-30 04:11 - Yuichi HARADA

- File 36248.patch added

I created a test. I have attached a patch containing #note-1.

#3 - 2021-12-07 14:35 - Go MAEDA
- Status changed from New to Confirmed

#4 - 2021-12-19 08:10 - Go MAEDA

- Target version set to 4.2.4

Setting the target version to 4.2.4.

#5 - 2022-02-20 19:54 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Patch committed, thanks!

#6 - 2022-02-20 21:15 - Marius BĂLTEANU

- Status changed from Resolved to Closed
